> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-udlistitem.md).

# New-UDListItem

### Sinossi

Crea un nuovo elemento di elenco.

### Sintassi

```powershell
New-UDListItem [[-Id] <String>] [[-AvatarType] <String>] [[-OnClick] <Endpoint>] [[-Label] <Object>] [[-Children] <ScriptBlock>] [[-SubTitle] <String>] [[-Icon] <Object>] [[-Url] <String>] [-OpenInNewWindow] [[-SecondaryAction] <ScriptBlock>] [[-ClassName] <String>] [-Open] [-Nested] [[-Href] <String>] [[-Switch] <Object>] [[-SwitchAlignment] <String>] [[-CheckBox] <Object>] [[-CheckBoxAlignment] <String>] [[-Style] <Hashtable>] [[-Sx] <String>] [<CommonParameters>]
```

### Descrizione

Crea un nuovo elemento di elenco. Gli elementi di elenco vengono utilizzati con New-UDList.

### Parametri

#### -Id

L'ID del componente. Per impostazione predefinita è un GUID casuale.

```
Required?                    false
Position?                    1
Default value                ([Guid]::NewGuid()).ToString()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -AvatarType

Il tipo di avatar da mostrare all'interno dell'elemento di elenco.

```
Required?                    false
Position?                    2
Default value                Icon
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnClick

Un blocco di script da eseguire quando si fa clic sull'elemento di elenco.

```
Required?                    false
Position?                    3
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Label L'etichetta da mostrare all'interno dell'elemento di elenco.Required?                    falsePosition?                    4Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-ChildrenElementi di elenco annidati da mostrare sotto questo elemento di elenco.Required?                    falsePosition?                    5Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-SubTitleIl sottotitolo da mostrare all'interno dell'elemento di elenco.Required?                    falsePosition?                    6Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-Icon L'icona da mostrare all'interno dell'elemento di elenco.Required?                    falsePosition?                    7Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-UrlL'URL dell'immagine dell'avatar.Required?                    falsePosition?                    8Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    -OpenInNewWindow \[\<SwitchParameter>]        Open the HREF in a new window\.Required?                    falsePosition?                    namedDefault value                FalseAccept pipeline input?       falseAliasesAccept wildcard characters?  false-SecondaryActionL'azione secondaria da eseguire con questo elemento di elenco.Required?                    falsePosition?                    9Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-ClassNameRequired?                    falsePosition?                    10Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    -Open \[\<SwitchParameter>]Required?                    falsePosition?                    namedDefault value                FalseAccept pipeline input?       falseAliasesAccept wildcard characters?  false    -Nested \[\<SwitchParameter>]Required?                    falsePosition?                    namedDefault value                FalseAccept pipeline input?       falseAliasesAccept wildcard characters?  false-HrefUn URL a cui passare quando si fa clic.Required?                    falsePosition?                    11Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-Switch Lo switch da mostrare all'interno dell'elemento di elenco.Required?                    falsePosition?                    12Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-SwitchAlignmentCome allineare lo sqitch all'interno del listitem. I valori validi sono: "left", "right"Required?                    falsePosition?                    13Default value                rightAccept pipeline input?       falseAliasesAccept wildcard characters?  false-CheckBox La casella di controllo da mostrare all'interno dell'elemento di elenco.Required?                    falsePosition?                    14Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-CheckBoxAlignmentCome allineare la casella di controllo all'interno del listitem. I valori validi sono: "left", "right"Required?                    falsePosition?                    15Default value                rightAccept pipeline input?       falseAliasesAccept wildcard characters?  false-StyleUna hashtable di stili da applicare a questo componente.Required?                    falsePosition?                    16Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-SxUna hashtable di stili da applicare a questo componente.Required?                    falsePosition?                    17Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216>).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-udlistitem.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
